## red5 1.0~svn4374

=== Makefile ===

PREFIX=/usr
DESTINATION=$(PREFIX)/lib/red5

all: red5

.PHONY: all install clean

red5:
	ant dist

install:
	mkdir -p $(DESTINATION)
	install dist/boot.jar $(DESTINATION)
	install dist/red5.jar $(DESTINATION)
	install -m 755 dist/red5.sh $(DESTINATION)
	cp -r dist/conf $(DESTINATION)
	cp -r dist/lib $(DESTINATION)
	cp -r dist/webapps $(DESTINATION)

installerdist:
	ant dist-installer

clean:
	rm -rf dist

## red5 0.9.1

=== debian/changelog ===
red5 (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #576355):
    - Refresh patches.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Switch to 3.0 (quilt) source format:
    - d/source/format: Set 3.0 (quilt)
    - d/rules: Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk
    - d/control: Remove B-D on quilt
    - d/README.source: Removed
    - Use multi-orig-tarball support: create new "orig-doc.tar.gz".
  * Add Build-Conflicts: liblogback-java (= 0.9.20-1)
    (Closes: #577859)

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 23 Apr 2010 20:35:14 +0200

red5 (0.9~svn3968-2) unstable; urgency=low

  * Upload to unstable distribution
  * Red5 API documentation:
    - Build-Depends and use default-jdk-doc instead of openjdk-6-doc
    - red5-doc now Recommends default-jdk-doc
  * red5-server.init: Add dependency on $remote_fs
  * Add debian/patches/13_jaudiotagger2.diff to fix compatibility
    with libjaudiotagger-java 2.0
  * Fix debian/watch to track only stable release

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 17 Jan 2010 22:04:48 +0100

red5 (0.9~svn3968-1) experimental; urgency=low

  * Initial release. (Closes: #503594)

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 30 Nov 2009 23:29:23 +0100

=== debian/control ===
Source: red5
Section: java
Priority: optional
Maintainer: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: cdbs, debhelper (>= 7), openjdk-6-jdk, ant
Build-Depends-Indep: libsaxon-java, docbook-xsl, ant-optional,
 libmina2-java, libslf4j-java (>= 1.5.5), liblogback-java (>= 0.9.17),
 libcommons-lang-java, libcommons-collections3-java, libcommons-beanutils-java,
 libcommons-codec-java, libcommons-httpclient-java, libxerces2-java, groovy,
 libspring-core-2.5-java, libspring-beans-2.5-java, libspring-context-2.5-java,
 libspring-web-2.5-java, libbcprov-java, libehcache-java, libquartz-java,
 libjaudiotagger-java, libmx4j-java (>> 3.0.2-4), libxmlrpc3-server-java,
 libtomcat6-java (>= 6.0.20-7), libservlet2.5-java, junit4 (>= 4.5),
 libhamcrest-java, libspring-test-2.5-java,
 libgroboutils-java, libcommons-logging-java, libjetty-java, jython,
 libbackport-util-concurrent-java,
 default-jdk-doc, libmina2-java-doc, liblog4j1.2-java-doc, groovy-doc
Build-Conflicts: liblogback-java (= 0.9.20-1)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/red5/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/red5/
Homepage: http://www.red5.org/

Package: libred5-java
Architecture: all
Depends: ${misc:Depends},
 libmina2-java, libslf4j-java (>= 1.5.5), liblogback-java (>= 0.9.17),
 libcommons-lang-java, libcommons-collections3-java, libcommons-beanutils-java,
 libcommons-httpclient-java, libxerces2-java, groovy,
 libspring-core-2.5-java, libspring-beans-2.5-java, libspring-context-2.5-java,
 libspring-web-2.5-java, libbcprov-java, libehcache-java, libquartz-java,
 libjaudiotagger-java, libmx4j-java (>> 3.0.2-4), libxmlrpc3-server-java,
 libtomcat6-java (>= 6.0.20-7), libservlet2.5-java, libantlr-java, libasm3-java,
 libcommons-codec-java, libcommons-modeler-java, libcommons-logging-java,
 libcommons-pool-java, libaopalliance-java, jython, libjetty-java,
 libspring-aop-2.5-java, libspring-context-support-2.5-java,
 libbackport-util-concurrent-java
Description: remote API for Red5 flash streaming server
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 This package contains library for Java client library to query
 a remote Red5 server.

Package: red5-server
Architecture: all
Depends: ${misc:Depends}, openjdk-6-jre-headless | java6-runtime-headless,
 adduser (>= 3.11), libred5-java (= ${source:Version})
Conflicts: red5
Description: flash streaming server
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 Any flash client is supported, including Gnash flash client and
 Adobe Flash Player.

Package: red5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libmina2-java-doc, liblog4j1.2-java-doc, groovy-doc
Suggests: libred5-java (= ${source:Version})
Description: flash streaming server - documentation
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 Any flash client is supported, including Gnash flash client and
 Adobe Flash Player.
 .
 This package contains documentation about Red5.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/java-6-openjdk

# Build classpath is set via ant.properties
# Here is classpath for ant plugins :
DEB_JARS             := ant-trax xercesImpl xmlParserAPIs ant-junit
ANT_ARGS             := -Ddoc.prepare=true -Ddoc.wiki2docbook=true

DEB_ANT_BUILD_TARGET := jar remote-jar javadoc doc-html
#DEB_ANT_CHECK_TARGET := run-tests
DEB_ANT_CLEAN_TARGET := clean

binary-install/red5-server::
	chmod a+x debian/red5-server/usr/share/red5/red5.sh
	chmod a+x debian/red5-server/usr/share/red5/red5-debug.sh
	chmod a+x debian/red5-server/usr/share/red5/red5-shutdown.sh
	chmod a+x debian/red5-server/usr/share/red5/red5-highperf.sh

get-orig-source:
	sh debian/orig-tar.sh $(DEB_UPSTREAM_VERSION)

## red5 1.0~svn4198

=== debian/changelog ===
red5 (1.0~svn4198-2) unstable; urgency=low

  * d/red5-server.links: Fix links in /usr/share/red5/plugins - some of them
    are dangling to locations from tomcat6-common instead of libtomcat6-java
    (Closes: #619583).
  * d/red5-server.bug-control: Add information about libred5-java when
    reporting issues on red5-server.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 25 Mar 2011 23:58:10 +0100

red5 (1.0~svn4198-1) unstable; urgency=low

  * New upstream release (1.0 RC1).
    - d/orig-tar.sh: add "plugins" component for tomcatplugin.
    - d/orig-tar.exclude: exclude vod/ from tarball.
    - d/{build.xml,rules}: new d/build.xml to build red5 + plugins.
  * d/{control,ant.properties}: use Spring Framework 3.x (Closes: #579150).
  * d/patches/*: all refreshed.
  * d/patches/16_plugins_build_lib.diff: use debian.build.classpath property
    for classpath of javac.
  * d/control:
    - drop Depends on libaopalliance-java, libspring-aop-java, libjetty-java,
      libmx4-java and libbackport-util-concurrent-java.
    - add Depends on rhino and libstax-java.
    - move Depends on libtomcat6-java to red5-server.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 04 Mar 2011 23:21:45 +0100

red5 (0.9.1-4) unstable; urgency=low

  * Fix typo in d/README.Debian and d/patches/14_document_removed_stuff.diff.
  * d/copyright: Update for new DEP-5 specification.
  * Move to pkg-flash packaging team SVN repository.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 02 Oct 2010 15:30:04 +0200

red5 (0.9.1-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1: no changes needed.
  * Improve d/README.Debian and d/patches/14_document_removed_stuff.diff:
    - Describe security issues with /installer and /demos webapps
    - Explain how to install them directly on index.html
  * d/patches/15_jython25.diff: Fix FTBFS with Jython >= 2.5.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 31 Jul 2010 19:01:44 +0200

red5 (0.9.1-2) unstable; urgency=low

  * /etc/init.d/red5-server:
    - set NAME before using it for /etc/default/$NAME (Closes: #585530)
    - export JAVA_HOME, JAVA_OPTS, RED5_HOME and RED5_OPTS for red5.sh usage
  * Bump Standards-Version to 3.9.0: no changes needed.
  * d/red5-server.install: Also install red5 logo to root webapp
  * d/README.Debian:
    - Describe how to install demos applications (Closes: #585946).
    - Install it in red5-server package.
  * d/orig-tar.exclude: Document removed stuffs

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 01 Jul 2010 00:42:55 +0200

=== debian/control ===
Source: red5
Section: java
Priority: optional
Maintainer: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: cdbs, debhelper (>= 7), openjdk-6-jdk, ant
Build-Depends-Indep: libsaxon-java, docbook-xsl, ant-optional,
 libmina2-java, libslf4j-java (>= 1.6.1), liblogback-java (>= 0.9.28),
 libcommons-lang-java, libcommons-collections3-java, libcommons-beanutils-java,
 libcommons-codec-java, libcommons-httpclient-java, libxerces2-java,
 libspring-core-java, libspring-beans-java, libspring-context-java,
 libspring-web-java, libbcprov-java, libehcache-java, libquartz-java,
 libjaudiotagger-java, libxmlrpc3-server-java, groovy,jython,
 libtomcat6-java (>= 6.0.20-7), glassfish-javaee, junit4 (>= 4.5),
 libhamcrest-java, libspring-test-java,
 libgroboutils-java, libcommons-logging-java,
 default-jdk-doc, libmina2-java-doc, liblog4j1.2-java-doc, groovy-doc
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-flash/packages/red5/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-flash/packages/red5/trunk/
Homepage: http://www.red5.org/

Package: libred5-java
Architecture: all
Depends: ${misc:Depends},
 libmina2-java, libslf4j-java (>= 1.6.1), liblogback-java (>= 0.9.28),
 libcommons-lang-java, libcommons-collections3-java, libcommons-beanutils-java,
 libcommons-httpclient-java, libxerces2-java, groovy, rhino,
 libspring-core-java, libspring-beans-java, libspring-context-java,
 libspring-web-java, libbcprov-java, libehcache-java, libquartz-java,
 libjaudiotagger-java, libxmlrpc3-server-java, glassfish-javaee,
 libantlr-java, libasm3-java, libcommons-codec-java, libcommons-modeler-java,
 libcommons-logging-java, libcommons-pool-java, jython,
 libspring-context-support-java, libstax-java
Description: remote API for Red5 flash streaming server
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 This package contains library for Java client library to query
 a remote Red5 server.

Package: red5-server
Architecture: all
Depends: ${misc:Depends}, openjdk-6-jre-headless | java6-runtime-headless,
 adduser (>= 3.11), libred5-java (= ${source:Version}),
 libtomcat6-java (>= 6.0.20-7)
Conflicts: red5
Description: flash streaming server
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 Any flash client is supported, including Gnash flash client and
 Adobe Flash Player.

Package: red5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libmina2-java-doc, liblog4j1.2-java-doc, groovy-doc
Suggests: libred5-java (= ${source:Version})
Description: flash streaming server - documentation
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 Any flash client is supported, including Gnash flash client and
 Adobe Flash Player.
 .
 This package contains documentation about Red5.

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,13 @@
 
 JAVA_HOME            := /usr/lib/jvm/java-6-openjdk
 
+DEB_ANT_BUILDFILE    := debian/build.xml
 # Build classpath is set via ant.properties
 # Here is classpath for ant plugins :
 DEB_JARS             := ant-trax xercesImpl xmlParserAPIs ant-junit
 ANT_ARGS             := -Ddoc.prepare=true -Ddoc.wiki2docbook=true
 
-DEB_ANT_BUILD_TARGET := jar remote-jar javadoc doc-html
+DEB_ANT_BUILD_TARGET := jar
 #DEB_ANT_CHECK_TARGET := run-tests
 DEB_ANT_CLEAN_TARGET := clean

## red5 1.0~svn4279

=== debian/changelog ===
red5 (1.0~svn4279-1) unstable; urgency=low

  * New upstream snapshot (r4279 in SVN):
    - d/patches/13_jaudiotagger2.diff: Droped, merged upstream.
    - d/control: Replace libcommons-httpclient-java by libhttpcore-java
      and libhttpclient-java.
    - d/control: Replace libcommons-lang-java by libcommons-lang3-java.
    - d/control: Depends on libxml-commons-external-java.
  * d/control: Bump Standards-Version to 3.9.2: no changes needed.
  * d/control: Depends on librhino-java instead of rhino.
  * d/README.Debian: Add information about webapp.virtualHosts and
    remove warning about spring 2.5.
  * d/ant.properties: Use quartz.jar instead of old quartz-all.jar.
  * d/rules: Handle multi-arch openjdk during build. (Closes: #642275).
  * Use default-java for now (since multi-arch enabled openjdk-6/7 are easy
    to use inside init.d).

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Sep 2011 18:25:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: cdbs, debhelper (>= 7), openjdk-6-jdk, ant
 Build-Depends-Indep: libsaxon-java, docbook-xsl, ant-optional,
  libmina2-java, libslf4j-java (>= 1.6.1), liblogback-java (>= 0.9.28),
- libcommons-lang-java, libcommons-collections3-java, libcommons-beanutils-java,
- libcommons-codec-java, libcommons-httpclient-java, libxerces2-java,
+ libcommons-lang3-java, libcommons-collections3-java, libcommons-beanutils-java,
+ libcommons-codec-java, libhttpcore-java, libhttpclient-java, libxerces2-java,
  libspring-core-java, libspring-beans-java, libspring-context-java,
  libspring-web-java, libbcprov-java, libehcache-java, libquartz-java,
  libjaudiotagger-java, libxmlrpc3-server-java, groovy,jython,
@@ -14,7 +14,7 @@
  libhamcrest-java, libspring-test-java,
  libgroboutils-java, libcommons-logging-java,
  default-jdk-doc, libmina2-java-doc, liblog4j1.2-java-doc, groovy-doc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-flash/packages/red5/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-flash/packages/red5/trunk/
 Homepage: http://www.red5.org/
@@ -23,14 +23,14 @@
 Architecture: all
 Depends: ${misc:Depends},
  libmina2-java, libslf4j-java (>= 1.6.1), liblogback-java (>= 0.9.28),
- libcommons-lang-java, libcommons-collections3-java, libcommons-beanutils-java,
- libcommons-httpclient-java, libxerces2-java, groovy, rhino,
+ libcommons-lang3-java, libcommons-collections3-java, libcommons-beanutils-java,
+ libhttpcore-java, libhttpclient-java, libxerces2-java, groovy, librhino-java,
  libspring-core-java, libspring-beans-java, libspring-context-java,
  libspring-web-java, libbcprov-java, libehcache-java, libquartz-java,
  libjaudiotagger-java, libxmlrpc3-server-java, glassfish-javaee,
  libantlr-java, libasm3-java, libcommons-codec-java, libcommons-modeler-java,
  libcommons-logging-java, libcommons-pool-java, jython,
- libspring-context-support-java, libstax-java
+ libspring-context-support-java, libstax-java, libxml-commons-external-java
 Description: remote API for Red5 flash streaming server
  Red5 is a Java implementation of a Flash Media Server based on
  reverse engineering of RTMP and AMF protocols.
@@ -43,7 +43,7 @@
 
 Package: red5-server
 Architecture: all
-Depends: ${misc:Depends}, openjdk-6-jre-headless | java6-runtime-headless,
+Depends: ${misc:Depends}, default-jre-headless (>= 1:1.6) | java6-runtime-headless,
  adduser (>= 3.11), libred5-java (= ${source:Version}),
  libtomcat6-java (>= 6.0.20-7)
 Conflicts: red5

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/ant.mk
 
-JAVA_HOME            := /usr/lib/jvm/java-6-openjdk
+JAVA_HOME := $(firstword $(wildcard /usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH) /usr/lib/jvm/java-6-openjdk))
 
 DEB_ANT_BUILDFILE    := debian/build.xml
 # Build classpath is set via ant.properties

## red5 1.0~svn4374

=== debian/changelog ===
red5 (1.0~svn4374-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Transition to Groovy 2.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Nov 2015 13:17:11 +0100

red5 (1.0~svn4374-4) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Fixed the build failure with BeanUtils 1.9 (Closes: #733013)
  * Depend on libtomcat7-java instead of libtomcat6-java (Closes: #686880)
  * Transition to libasm4-java and libcglib3-java
  * Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9 

  [ Damien Raude-Morvan ]
  * Upload to unstable. 

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 07 Oct 2014 13:04:23 +0200

red5 (1.0~svn4374-3) unstable; urgency=low

  * Fix FTBFS with updated libxmlrpc3-server-java (Closes: #717261):
    - d/{ant.properties,red5-server.links}: Update JAR location.
  * Bump Standards-Version to 3.9.4: no changes needed.
  * d/control: Fix Vcs-* fields to use canonical URLs. 

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 25 Aug 2013 11:18:10 +0200

red5 (1.0~svn4374-2) unstable; urgency=low

  [ James Page ]
  * Transition package to use default java implementation (Closes: #684287):
    - d/control: BD on default-jdk (>= 1:1.6) instead of openjdk-6-jdk.
    - d/rules: Set JAVA_HOME to /usr/lib/jvm/default-java.
    - d/ant.properties: Set source/target = 1.6 to ensure Java6+7
      compatible bytecode is built.

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 16 Aug 2012 23:18:00 +0200

red5 (1.0~svn4374-1) unstable; urgency=low

  * New upstream snapshot (r4374 in SVN):
    - License switch to Apache-2.0 (mostly).
    - Refresh all patches.
    - Drop 15_jython25.diff, merged upstream.
    - Upgrade instructions to get demos and installer working.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Wrap-and-sort debian/control.
  * Add Depends on runtime dependencies (for AOP):
    - libspring-aop-java
    - libaopalliance-java
    - libcglib-java
  * d/logback.xml: Set default log level to INFO.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 27 May 2012 22:58:08 +0200

=== debian/control ===
Source: red5
Section: java
Priority: optional
Maintainer: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk (>= 1:1.6)
Build-Depends-Indep: ant-optional,
                     default-jdk-doc,
                     docbook-xsl,
                     glassfish-javaee,
                     groovy2,
                     groovy2-doc,
                     junit4 (>= 4.5),
                     jython,
                     libbcprov-java,
                     libcommons-beanutils-java,
                     libcommons-codec-java,
                     libcommons-collections3-java,
                     libcommons-lang3-java,
                     libcommons-logging-java,
                     libehcache-java,
                     libgroboutils-java,
                     libhamcrest-java,
                     libhttpclient-java,
                     libhttpcore-java,
                     libjaudiotagger-java,
                     liblog4j1.2-java-doc,
                     liblogback-java (>= 0.9.28),
                     libmina2-java,
                     libmina2-java-doc,
                     libquartz-java,
                     libsaxon-java,
                     libslf4j-java (>= 1.6.1),
                     libspring-beans-java,
                     libspring-context-java,
                     libspring-core-java,
                     libspring-test-java,
                     libspring-web-java,
                     libtomcat7-java,
                     libxerces2-java,
                     libxmlrpc3-server-java
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-flash/packages/red5/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-flash/packages/red5/trunk/
Homepage: http://www.red5.org

Package: libred5-java
Architecture: all
Depends: glassfish-javaee,
         groovy2,
         jython,
         libantlr-java,
         libaopalliance-java,
         libasm4-java,
         libbcprov-java,
         libcglib3-java,
         libcommons-beanutils-java,
         libcommons-codec-java,
         libcommons-collections3-java,
         libcommons-lang3-java,
         libcommons-logging-java,
         libcommons-modeler-java,
         libcommons-pool-java,
         libehcache-java,
         libhttpclient-java,
         libhttpcore-java,
         libjaudiotagger-java,
         liblogback-java (>= 0.9.28),
         libmina2-java,
         libquartz-java,
         librhino-java,
         libslf4j-java (>= 1.6.1),
         libspring-aop-java,
         libspring-beans-java,
         libspring-context-java,
         libspring-context-support-java,
         libspring-core-java,
         libspring-web-java,
         libstax-java,
         libxerces2-java,
         libxml-commons-external-java,
         libxmlrpc3-server-java,
         ${misc:Depends}
Description: remote API for Red5 flash streaming server
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 This package contains library for Java client library to query
 a remote Red5 server.

Package: red5-server
Architecture: all
Depends: adduser (>= 3.11),
         default-jre-headless (>= 1:1.6) | java6-runtime-headless,
         libred5-java (= ${source:Version}),
         libtomcat7-java,
         ${misc:Depends}
Conflicts: red5
Description: flash streaming server
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 Any flash client is supported, including Gnash flash client and
 Adobe Flash Player.

Package: red5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc, groovy2-doc, liblog4j1.2-java-doc, libmina2-java-doc
Suggests: libred5-java (= ${source:Version})
Description: flash streaming server - documentation
 Red5 is a Java implementation of a Flash Media Server based on
 reverse engineering of RTMP and AMF protocols.
 .
 It support streaming video/audio/data to a Flash client and
 recording audio/video broadcast from a Flash client.
 .
 Any flash client is supported, including Gnash flash client and
 Adobe Flash Player.
 .
 This package contains documentation about Red5.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/ant.mk
 
-JAVA_HOME := $(firstword $(wildcard /usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH) /usr/lib/jvm/java-6-openjdk))
+JAVA_HOME := /usr/lib/jvm/default-java
 
 DEB_ANT_BUILDFILE    := debian/build.xml
 # Build classpath is set via ant.properties

## red5 1.0~svn4374-4+7.0trisquel1

=== debian/changelog ===
red5 (1.0~svn4374-4+7.0trisquel1) belenos; urgency=medium

  * Removed references to non-free programs

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Dec 2014 09:04:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: red5
 Section: java
 Priority: optional
-Maintainer: Damien Raude-Morvan <drazzib@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk (>= 1:1.6)
 Build-Depends-Indep: ant-optional,
                      default-jdk-doc,
                      docbook-xsl,
                      glassfish-javaee,
-                     groovy2,
-                     groovy2-doc,
+                     groovy,
+                     groovy-doc,
                      junit4 (>= 4.5),
                      jython,
                      libbcprov-java,
@@ -46,7 +46,7 @@
 Package: libred5-java
 Architecture: all
 Depends: glassfish-javaee,
-         groovy2,
+         groovy,
          jython,
          libantlr-java,
          libaopalliance-java,
@@ -105,14 +105,14 @@
  It support streaming video/audio/data to a Flash client and
  recording audio/video broadcast from a Flash client.
  .
- Any flash client is supported, including Gnash flash client and
- Adobe Flash Player.
+ Any flash client is supported, including 
+ Gnash flash player.
 
 Package: red5-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, groovy2-doc, liblog4j1.2-java-doc, libmina2-java-doc
+Recommends: default-jdk-doc, groovy-doc, liblog4j1.2-java-doc, libmina2-java-doc
 Suggests: libred5-java (= ${source:Version})
 Description: flash streaming server - documentation
  Red5 is a Java implementation of a Flash Media Server based on
@@ -121,7 +121,7 @@
  It support streaming video/audio/data to a Flash client and
  recording audio/video broadcast from a Flash client.
  .
- Any flash client is supported, including Gnash flash client and
- Adobe Flash Player.
+ Any flash client is supported, including 
+ Gnash flash player.
  .
  This package contains documentation about Red5.

## red5 1.0~svn4374-4.1+8.0trisquel1

=== debian/changelog ===
red5 (1.0~svn4374-4.1+8.0trisquel1) flidas; urgency=medium

  * Removed references to non-free programs

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Feb 2018 06:11:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: red5
 Section: java
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk (>= 1:1.6)
 Build-Depends-Indep: ant-optional,
                      default-jdk-doc,
                      docbook-xsl,
                      glassfish-javaee,
-                     groovy,
-                     groovy-doc,
+                     groovy2,
+                     groovy2-doc,
                      junit4 (>= 4.5),
                      jython,
                      libbcprov-java,
@@ -46,7 +46,7 @@
 Package: libred5-java
 Architecture: all
 Depends: glassfish-javaee,
-         groovy,
+         groovy2,
          jython,
          libantlr-java,
          libaopalliance-java,
@@ -112,7 +112,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, groovy-doc, liblog4j1.2-java-doc, libmina2-java-doc
+Recommends: default-jdk-doc, groovy2-doc, liblog4j1.2-java-doc, libmina2-java-doc
 Suggests: libred5-java (= ${source:Version})
 Description: flash streaming server - documentation
  Red5 is a Java implementation of a Flash Media Server based on
